Bug 979211 - Pure virtual Beaker test bed
Pure virtual Beaker test bed
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
develop
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.14
: ---
Assigned To: Amit Saha
tools-bugs
: TestCaseApproved, TestCaseProvided
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 20:56 EDT by Amit Saha
Modified: 2015-07-26 18:15 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 23:24:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Saha 2013-06-27 20:56:41 EDT
Description of problem:

Beaker in a box (http://beaker-project.org/in-a-box/) is an easy to  get a feel of Beaker without setting up a production scale infrastructure.

However, there are a couple of things that can be improved:

- Eradicate the need for the server and lab controller to run on bare metal
- Use Fedora 19 for running the server.

This bug will track the development of documentation (scripts, etc) to help users set of Beaker using libvirt VM's on Fedora 19.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:

Documentation (scripts, etc) to help users set of Beaker using libvirt VM's on Fedora 19. Able to run test jobs, etc.


Additional info:
Comment 2 Amit Saha 2013-07-03 00:33:15 EDT
On Gerrit: http://gerrit.beaker-project.org/#/c/2072/1
Comment 9 Nick Coghlan 2013-07-29 03:13:49 EDT
Updated developer guide has been published at:

http://beaker-project.org/dev/guide/virtual-fedora/

Note that verification will need to wait until after the Beaker 0.14 RPMs have been uploaded to the server-testing repo, and will also require uncommenting the relevant line in the kickstart file (to use the testing repos).
Comment 10 xjia 2013-07-30 01:21:33 EDT
Verify:
NO issue is found, so verify this bug.
Comment 11 Dan Callaghan 2013-08-08 23:24:50 EDT
Beaker 0.14.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.